#!/usr/bin/perl -w
######################################################################
#
# $Id: WebJob-Properties.t,v 1.3 2008/01/12 17:37:53 mavrik Exp $
#
######################################################################
#
# Copyright 2007-2008 The WebJob Project, All Rights Reserved.
#
######################################################################
#
# Purpose: Tests for WebJob::Properties.
#
######################################################################

use 5.008;
use strict;
use Test;

BEGIN
{
  my %hPlan =
  (
    'tests' => 3,
  );
  plan(%hPlan);
};

######################################################################
#
# Tests
#
######################################################################

  ####################################################################
  #
  # Test: The target module must load without error.
  #
  ####################################################################

  use WebJob::Properties;
  ok(1);

  ####################################################################
  #
  # Test: The global regexes hash must be defined.
  #
  ####################################################################

  my $phGlobalRegexes = PropertiesGetGlobalRegexes();
  ok(defined($phGlobalRegexes));

  ####################################################################
  #
  # Test: The global regexes hash must not be empty.
  #
  ####################################################################

  ok(scalar(keys(%$phGlobalRegexes)));

